Bug 465691

Summary: udev does not create /dev/disk/by-uuid for lvm, dm-* and loopback devices
Product: [Fedora] Fedora Reporter: Till Maas <opensource>
Component: udevAssignee: Harald Hoyer <harald>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: agk, harald, kay.sievers, mailings, opensource, rjones
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-11-05 07:53:55 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Till Maas 2008-10-05 13:30:12 EDT
Description of problem:
Udev does not create /dev/disk/by-uuid symlinks for block devices, that have a uuid that is displayed by blkid. Maybe the other symlinks (by-path, by-id, by-label) should be created, too. Especially by-label should be possible for block devices, that contain a filesystem.

Version-Release number of selected component (if applicable):
udev-118-1.fc8

How reproducible:
always

Steps to Reproduce
0. Use lvm and/or loop devices and use labels for some filesystems on these devices
1. run blkid
2. ls -la /dev/disk/by-uuid /dev/disk/by-label
  
Actual results:
blkid shows more block devices with UUID or LABEL information than there are links in /dev/disk/by-uuid


Expected results:
For all block devices that blkid can show a LABEL or UUID, udev should create a symlink in /dev/disk/by-{uuid,label}

Additional info:
It would be also nice to have the other symlinks created for such devices, e.g. /dev/disk/by-id, but I am not sure, whether there is a common naming scheme for such devices.

I also noticed that these devices are currently ignored intentionally, but it is not explaned in the persistant-storage file, why this is the case, because these symlinks are also useful for such devices, e.g. when one uses encrypted devices with lvm.
Comment 1 Till Maas 2008-10-05 13:31:11 EDT
This bug also exists with udev from the F10 Beta KDE Live CD.
Comment 2 Harald Hoyer 2008-10-08 05:44:53 EDT
kay? :)
Comment 3 Kay Sievers 2008-10-08 06:05:59 EDT
LVM, and dm-* works here, but you miss the needed rules. The rules depend on a (not accepted in Fedora) export patch for dmsetup, which most other distros ship for a long time.

With the recent release of dmsetup, it should be possible to implement theses rules without the export patch.

Loopback is currently not implemented, as it there are currently no events to hook in to update the links after a mkfs and such.
Comment 4 Kay Sievers 2008-10-08 11:14:14 EDT
Something like this should work without the --export option. It missed the DM_TARGET_TYPES the export patch does, but it might be already available in some way, or needs to be added to the current dmsetup.

# dmsetup info -c --nameprefixes --unquoted --rows --noheadings -o name,uuid,suspended,readonly,major,minor,open,tables_loaded
DM_NAME=xyz
DM_UUID=
DM_SUSPENDED=Active
DM_READONLY=Writeable
DM_MAJOR=253
DM_MINOR=0
DM_OPEN=0
DM_TABLES_LOADED=Live
Comment 5 Bug Zapper 2008-11-26 06:12:35 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Ferry Huberts 2008-12-03 11:38:09 EST
this is still true for F10.
I upgraded F9 to F10 and F10 now has the uuid in the root= paramter in grub.conf. by default this is a LVM partition, and its uuid is not visible in /dev/disk/by-uuid
Comment 7 Kay Sievers 2008-12-03 12:24:42 EST
(In reply to comment #6)
> this is still true for F10.
> I upgraded F9 to F10 and F10 now has the uuid in the root= paramter in
> grub.conf. by default this is a LVM partition, and its uuid is not visible in
> /dev/disk/by-uuid

I'm pretty sure, it is. There are part of the needed infrastructure provided by dmsetup now, but some things are still missing.

Harald, Alasdair, can you please help getting the "dmesetup export" replacement working properly, Fedora is the only major distro who does not support this today.
Comment 8 Ferry Huberts 2008-12-04 06:19:17 EST
harald, care to change the version to 10 please?
Comment 9 Harald Hoyer 2008-12-04 11:00:08 EST
thanks
Comment 10 Kay Sievers 2008-12-05 22:44:37 EST
There is another bug about this:
  https://bugzilla.redhat.com/show_bug.cgi?id=438604
Comment 11 Richard W.M. Jones 2009-08-06 09:53:00 EDT
Still true in Rawhide AFAICS.
Comment 12 Ferry Huberts 2009-10-28 17:46:17 EDT
seems to be fixed in rawhide now (so should be ok for f12?)